#ifdef _WIN32

#ifndef WIN32_LEAN_AND_MEAN
#define WIN32_LEAN_AND_MEAN
#endif

#include <windows.h>
#include <winsock2.h>
#include <ws2tcpip.h>
#include <stdint.h>

#define TCPTEST_recv        recv
#define TCPTEST_printf      printf
#define TCPTEST_error       WSAGetLastError
#define TCPTEST_sleep       Sleep
                        
#define TCPTEST_EAGAIN      EAGAIN

#else

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <limits.h>
#include <xdc/std.h>
#include <xdc/runtime/Error.h>
#include <xdc/runtime/System.h>
#include <ti/sysbios/BIOS.h>
#include <ti/sysbios/knl/Task.h>

#include <ti/csl/soc.h>
#include <ti/csl/cslr_device.h>
#if defined (SOC_AM574x)
#include <ti/csl/soc/am574x/src/csl_device_xbar.h>
#else
#include <ti/csl/soc/am572x/src/csl_device_xbar.h>
#endif

#include <ti/ndk/inc/netmain.h>
#include <ti/ndk/inc/stkmain.h>
#include "ti/ndk/inc/os/osif.h"

#include <ti/board/board.h>

#include <ti/drv/uart/UART.h>
#include <ti/drv/uart/UART_stdio.h>

#include <ti/drv/emac/emac_drv.h>
#include <ti/drv/emac/src/v4/emac_drv_v4.h>

#include <xdc/runtime/Types.h>
#include <xdc/runtime/Timestamp.h>
#include <ti/csl/csl_tsc.h>
#include <ti/sysbios/hal/Hwi.h>

#define TCPTEST_recv        NDK_recv
#define TCPTEST_printf      UART_printf
#define TCPTEST_error       fdError
#define TCPTEST_sleep       Task_sleep
                        
#define TCPTEST_EAGAIN      NDK_EAGAIN

#endif // _WIN32
